hpp-corbaserver: hpp.corbaserver.benchmark.Benchmark Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
hpp.corbaserver.benchmark.Benchmark Class Reference

## Public Member Functions
| __init__ (self, client, robot, problemSolver)
| do (self, initCase=lambda this, case, None iter)
| getCase (self, iter)
| writeResume (self, filename=None)
| tryResumeAndDelete (self, filename=None)
| resumeFrom (self, fname)
| plotTime (self, axes)
| plotPathLength (self, axes)
| writeDatabase (self, nameDatabase, experimentName="default", nameLogFile="temp.log", append=False)
| __str__ (self)

## Public Attributes
| seedRange
| cases
| iterPerCase
| client
| robot
| ps
| current
| results

## Static Public Attributes
| toSeconds = np.array([60 * 60, 60, 1, 1e-3])
str | crashFile = "/tmp/resume.hpp.corbaserver.benchmark.pickle"

## Protected Member Functions
| _boxplot (self, axes, datas, ylabel)
| _printStats (self, times, nodes, pathLengths)

## Constructor & Destructor Documentation

## ◆ __init__()

hpp.corbaserver.benchmark.Benchmark.__init__ | ( |  | self,
|  |  | client,
|  |  | robot,
|  |  | problemSolver
| ) |  |

## Member Function Documentation

## ◆ __str__()

hpp.corbaserver.benchmark.Benchmark.__str__ | ( |  | self | ) |

## ◆ _boxplot()

hpp.corbaserver.benchmark.Benchmark._boxplot | ( |  | self,
|  |  | axes,
|  |  | datas,
|  |  | ylabel
| ) |  |
| protected

## ◆ _printStats()

hpp.corbaserver.benchmark.Benchmark._printStats | ( |  | self,
|  |  | times,
|  |  | nodes,
|  |  | pathLengths
| ) |  |
| protected

## ◆ do()

hpp.corbaserver.benchmark.Benchmark.do | ( |  | self,
|  |  | initCase = `lambda this`,
|  |  | case,
|  | None | iter
| ) |  |

## ◆ getCase()

hpp.corbaserver.benchmark.Benchmark.getCase | ( |  | self,
|  |  | iter
| ) |  |

## ◆ plotPathLength()

hpp.corbaserver.benchmark.Benchmark.plotPathLength | ( |  | self,
|  |  | axes
| ) |  |

## ◆ plotTime()

hpp.corbaserver.benchmark.Benchmark.plotTime | ( |  | self,
|  |  | axes
| ) |  |

## ◆ resumeFrom()

hpp.corbaserver.benchmark.Benchmark.resumeFrom | ( |  | self,
|  |  | fname
| ) |  |

## ◆ tryResumeAndDelete()

hpp.corbaserver.benchmark.Benchmark.tryResumeAndDelete | ( |  | self,
|  |  | filename = `None`
| ) |  |

## ◆ writeDatabase()

hpp.corbaserver.benchmark.Benchmark.writeDatabase | ( |  | self,
|  |  | nameDatabase,
|  |  | experimentName = `"default"`,
|  |  | nameLogFile = `"temp.log"`,
|  |  | append = `False`
| ) |  |

## ◆ writeResume()

hpp.corbaserver.benchmark.Benchmark.writeResume | ( |  | self,
|  |  | filename = `None`
| ) |  |

## Member Data Documentation

## ◆ cases

hpp.corbaserver.benchmark.Benchmark.cases

## ◆ client

hpp.corbaserver.benchmark.Benchmark.client

## ◆ crashFile

str hpp.corbaserver.benchmark.Benchmark.crashFile = "/tmp/resume.hpp.corbaserver.benchmark.pickle"
| static

## ◆ current

hpp.corbaserver.benchmark.Benchmark.current

## ◆ iterPerCase

hpp.corbaserver.benchmark.Benchmark.iterPerCase

## ◆ ps

hpp.corbaserver.benchmark.Benchmark.ps

## ◆ results

hpp.corbaserver.benchmark.Benchmark.results

## ◆ robot

hpp.corbaserver.benchmark.Benchmark.robot

## ◆ seedRange

hpp.corbaserver.benchmark.Benchmark.seedRange

## ◆ toSeconds

hpp.corbaserver.benchmark.Benchmark.toSeconds = np.array([60 * 60, 60, 1, 1e-3])
| static

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/benchmark.py